Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1078291 - deployments take more than 60 seconds
Summary: deployments take more than 60 seconds
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-setup
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.5.0
Assignee: Yedidyah Bar David
QA Contact: movciari
URL:
Whiteboard: integration
Depends On:
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-03-19 14:39 UTC by Yedidyah Bar David
Modified: 2015-02-12 14:15 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: When using a remote db, ovirt-engine-dwh-setup used the same db host as the engine. Consequence: It was not possible to specify different db host. Fix: In 3.4, the dwh setup utility was replaced with a plugin to the common engine-setup utility, and this plugin query for all db credentials. It was not documented in 3.4 afaik, and considered to be a "tech preview". Result: It's now possible to input a db host as needed when setting up dwh with a remote db.
Clone Of:
Environment:
Last Closed: 2015-02-12 14:15:42 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)
server.log - failed after 60 seconds (deleted)
2014-03-19 14:47 UTC, Yedidyah Bar David
no flags Details
server.log - succeeded after almost 2 minutes (deleted)
2014-03-19 14:48 UTC, Yedidyah Bar David
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 25895 None None None Never

Description Yedidyah Bar David 2014-03-19 14:39:21 UTC
Description of problem:

I got in server.log this line:

2014-03-19 15:53:31,273 ERROR [org.jboss.as.server.deployment.scanner] (DeploymentScanner-threads - 1) JBAS015052: Did not receive a response to the deployment operation within the allowed timeout period [60 seconds]. Check the server configuration file and the server logs to find more about the status of the deployment.

Version-Release number of selected component (if applicable):

current nightly master on fully updated fedora 19

engine+dwh+reports

How reproducible:

Not sure

Steps to Reproduce:
1. install/setup engine+dwh+reports on a moderately-slow machine
2.
3.

Actual results:

Deployment fails

Expected results:

Should succeed

Additional info:

Increased the timeout to 10 minutes in [1], and it succeeds, took almost two minutes.

[1] http://gerrit.ovirt.org/25895

Comment 2 Yedidyah Bar David 2014-03-19 14:47:24 UTC
Created attachment 876371 [details]
server.log - failed after 60 seconds

Comment 3 Yedidyah Bar David 2014-03-19 14:48:12 UTC
Created attachment 876373 [details]
server.log - succeeded after almost 2 minutes

Comment 4 Yedidyah Bar David 2014-03-19 14:54:45 UTC
I now checked logs of a 3.3 engine and deployment there took 4.5 minutes and was not stopped. Perhaps the default timeout changed, or something else in jboss.

Comment 5 Alon Bar-Lev 2014-03-20 07:48:14 UTC
Why is it downstream bug?

Comment 6 Sandro Bonazzola 2014-04-03 12:38:48 UTC
(In reply to Alon Bar-Lev from comment #5)
> Why is it downstream bug?

JBoss is not changed upstream.

Comment 7 Sandro Bonazzola 2014-04-03 13:53:58 UTC
Patch merged upstream on master branch for 3.5.0 rebase.

Comment 10 movciari 2014-10-22 10:37:34 UTC
this was on fedora 19 which is not supported by rhevm, and also only on slow machine, which must be much slower than minimum hardware requirements for rhevm.
we use rhevm on rhel on very slow machines every day and it works

Comment 11 Yedidyah Bar David 2014-10-22 11:33:42 UTC
(In reply to movciari from comment #10)
> this was on fedora 19 which is not supported by rhevm,

Don't think that's relevant, what's relevant is version of jboss - not sure what's happening there on the various OSes etc.

> and also only on slow
> machine, which must be much slower than minimum hardware requirements for
> rhevm.

IIRC the minimum hardware requirements do not specifically mention IO, and in any case, IO is much less predictable/controllable than cpu/memory, and imo we definitely want to make sure we don't fail, especially considering that it was an easy fix.

> we use rhevm on rhel on very slow machines every day and it works

Which version? With this patch applied, which is true for most versions of the last half year, you have ten minutes to deploy.

If you want to reproduce, simply edit [1], change 'deployment-timeout="1200"' to something much lower, e.g. 'deployment-timeout="10"', and stop/start the engine.

[1] /usr/share/ovirt-engine/services/ovirt-engine/ovirt-engine.xml.in

Comment 12 Yedidyah Bar David 2014-11-04 13:08:41 UTC
I do not think this requires doc text, as it did not affect, to the best of my knowledge, any released version.


Note You need to log in before you can comment on or make changes to this bug.